package com.smppw.analysis.application.dto.position;

import com.smppw.analysis.application.dto.BaseReq;
import com.smppw.analysis.domain.dto.position.BaseParams;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public abstract class BasePositionReq<R extends BaseParams> extends BaseReq {
    /**
     * 基金id
     */
    private String fundId;
    /**
     * 开始时间
     */
    private String startDate;
    /**
     * 结束时间
     */
    private String endDate;

    /**
     * 把当前的对象转换为R类型的对象
     *
     * @return /
     */
    public abstract R convert();
}
